from typing import List
from olives_types import Position2, LightInfo

class ObjectType:
    def get_supported_actions(self) -> List[str]: ...
    def get_actions_points(self) -> List[Position2]: ...
    def get_light_info(self) -> LightInfo: ...
